#include <iostream>
#include <string>
#define endl '\n';
using namespace std;
int i;
void if_its_c(string a)
{
    for(i = 0; i<a.size(); i++){
            if(a[i] == 'a'){
                cout << a[i] << 'f' << a[i];
            } else if(a[i] == 'e'){
                cout << a[i] << 'f' << a[i];
            } else if(a[i] == 'u'){
                cout << a[i] << 'f' << a[i];
            } else if(a[i] == 'i'){
                cout << a[i] << 'f' << a[i];
            } else if(a[i] == 'o'){
                cout << a[i] << 'f' << a[i];
            } else if(a[i] == 'y'){
                cout << a[i] << 'f' << a[i];
            } else if(a[i] == 'A'){
                cout << a[i] << 'f' << a[i];
            } else if(a[i] == 'E'){
                cout << a[i] << 'f' << a[i];
            } else if(a[i] == 'U'){
                cout << a[i] << 'f' << a[i];
            } else if(a[i] == 'I'){
                cout << a[i] << 'f' << a[i];
            } else if(a[i] == 'O'){
                cout << a[i] << 'f' << a[i];
            } else if(a[i] == 'Y'){
                cout << a[i] << 'f' << a[i];
            } else {
                cout << a[i];
            }
        }
}
void if_its_d(string a)
{
    for(i = 0; i<a.size(); i++){
            if(a[i] == 'a'){
                cout << a[i];
                i+=2;
                continue;
            } else if(a[i] == 'e'){
                cout << a[i];
                i+=2;
                continue;
            } else if(a[i] == 'u'){
                cout << a[i];
                i+=2;
                continue;
            } else if(a[i] == 'i'){
                cout << a[i];
                i+=2;
                continue;
            } else if(a[i] == 'o'){
                cout << a[i];
                i+=2;
                continue;
            } else if(a[i] == 'y'){
                cout << a[i];
                i+=2;
                continue;
            } else if(a[i] == 'A'){
                cout << a[i];
                i+=2;
                continue;
            } else if(a[i] == 'E'){
                cout << a[i];
                i+=2;
                continue;
            } else if(a[i] == 'U'){
                cout << a[i];
                i+=2;
                continue;
            } else if(a[i] == 'I'){
                cout << a[i];
                i+=2;
                continue;
            } else if(a[i] == 'O'){
                cout << a[i];
                i+=2;
                continue;
            } else if(a[i] == 'Y'){
                cout << a[i];
                i+=2;
                continue;
            } else {
                cout << a[i];
            }
        }
}
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    string a;
    char b;
    getline(cin, a, '\n');
    cin >> b;
    if(b=='c'){
        if_its_c(a);
    } else if(b=='d'){
        if_its_d(a);
    }
    return 0;
}
